Upstream information

CVE-2016-2779 at MITRE

Description

runuser in util-linux allows local users to escape to the parent session via a crafted TIOCSTI ioctl call, which pushes characters to the terminal's input buffer.

SUSE information

Overall state of this security issue: Revisit

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 7.2 6.2
Vector AV:L/AC:L/Au:N/C:C/I:C/A:C AV:L/AC:H/Au:N/C:C/I:C/A:C
Access Vector Local Local
Access Complexity Low High
Authentication None None
Confidentiality Impact Complete Complete
Integrity Impact Complete Complete
Availability Impact Complete Complete
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 8.6
Vector CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:C/C:H/I:H/A:H
Access Vector Local Local
Access Complexity Low Low
Privileges Required Low None
User Interaction None Required
Scope Unchanged Changed
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3 3.1
SUSE Bugzilla entries: 1000998 [RESOLVED / FIXED], 1018892 [RESOLVED / WONTFIX], 946429 [RESOLVED / FIXED], 968375 [NEW], 968674 [IN_PROGRESS], 968675 [RESOLVED / WONTFIX]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP4
  • libblkid1 >= 2.29.2-7.14
  • libblkid1-32bit >= 2.29.2-7.14
  • libfdisk1 >= 2.29.2-7.14
  • libmount1 >= 2.29.2-7.14
  • libmount1-32bit >= 2.29.2-7.14
  • libsmartcols1 >= 2.29.2-7.14
  • libuuid-devel >= 2.29.2-7.14
  • libuuid1 >= 2.29.2-7.14
  • libuuid1-32bit >= 2.29.2-7.14
  • python-libmount >= 2.29.2-7.7
  • util-linux >= 2.29.2-7.14
  • util-linux-lang >= 2.29.2-7.14
  • util-linux-systemd >= 2.29.2-7.7
  • uuidd >= 2.29.2-7.7
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • libblkid1 >= 2.33.2-2.13
  • libblkid1-32bit >= 2.33.2-2.13
  • libfdisk1 >= 2.33.2-2.13
  • libmount1 >= 2.33.2-2.13
  • libmount1-32bit >= 2.33.2-2.13
  • libsmartcols1 >= 2.33.2-2.13
  • libuuid1 >= 2.33.2-2.13
  • libuuid1-32bit >= 2.33.2-2.13
  • python-libmount >= 2.33.2-2.9
  • util-linux >= 2.33.2-2.13
  • util-linux-lang >= 2.33.2-2.13
  • util-linux-systemd >= 2.33.2-2.10
  • uuidd >= 2.33.2-2.10
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libblkid-devel >= 2.33.1-2.28
  • libblkid-devel-static >= 2.33.1-2.28
  • libblkid1 >= 2.33.1-2.28
  • libblkid1-32bit >= 2.33.1-2.28
  • libfdisk-devel >= 2.33.1-2.28
  • libfdisk1 >= 2.33.1-2.28
  • libmount-devel >= 2.33.1-2.28
  • libmount1 >= 2.33.1-2.28
  • libmount1-32bit >= 2.33.1-2.28
  • libsmartcols-devel >= 2.33.1-2.28
  • libsmartcols1 >= 2.33.1-2.28
  • libuuid-devel >= 2.33.1-2.28
  • libuuid-devel-static >= 2.33.1-2.28
  • libuuid1 >= 2.33.1-2.28
  • libuuid1-32bit >= 2.33.1-2.28
  • util-linux >= 2.33.1-2.28
  • util-linux-lang >= 2.33.1-2.28
  • util-linux-systemd >= 2.33.1-2.14
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • libblkid-devel >= 2.33.1-4.5.1
  • libblkid-devel-static >= 2.33.1-4.5.1
  • libblkid1 >= 2.33.1-4.5.1
  • libblkid1-32bit >= 2.33.1-4.5.1
  • libfdisk-devel >= 2.33.1-4.5.1
  • libfdisk1 >= 2.33.1-4.5.1
  • libmount-devel >= 2.33.1-4.5.1
  • libmount1 >= 2.33.1-4.5.1
  • libmount1-32bit >= 2.33.1-4.5.1
  • libsmartcols-devel >= 2.33.1-4.5.1
  • libsmartcols1 >= 2.33.1-4.5.1
  • libuuid-devel >= 2.33.1-4.5.1
  • libuuid-devel-static >= 2.33.1-4.5.1
  • libuuid1 >= 2.33.1-4.5.1
  • libuuid1-32bit >= 2.33.1-4.5.1
  • util-linux >= 2.33.1-4.5.1
  • util-linux-lang >= 2.33.1-4.5.1
  • util-linux-systemd >= 2.33.1-4.5.1
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • libblkid-devel >= 2.36.2-2.29
  • libblkid-devel-static >= 2.36.2-2.29
  • libblkid1 >= 2.36.2-2.29
  • libblkid1-32bit >= 2.36.2-2.29
  • libfdisk-devel >= 2.36.2-2.29
  • libfdisk1 >= 2.36.2-2.29
  • libmount-devel >= 2.36.2-2.29
  • libmount1 >= 2.36.2-2.29
  • libmount1-32bit >= 2.36.2-2.29
  • libsmartcols-devel >= 2.36.2-2.29
  • libsmartcols1 >= 2.36.2-2.29
  • libuuid-devel >= 2.36.2-2.29
  • libuuid-devel-static >= 2.36.2-2.29
  • libuuid1 >= 2.36.2-2.29
  • libuuid1-32bit >= 2.36.2-2.29
  • util-linux >= 2.36.2-2.29
  • util-linux-lang >= 2.36.2-2.29
  • util-linux-systemd >= 2.36.2-2.1
SUSE Linux Enterprise Module for Basesystem 15
  • libblkid-devel >= 2.31.1-7.1
  • libblkid-devel-static >= 2.31.1-7.1
  • libblkid1 >= 2.31.1-7.1
  • libblkid1-32bit >= 2.31.1-7.1
  • libfdisk-devel >= 2.31.1-7.1
  • libfdisk1 >= 2.31.1-7.1
  • libmount-devel >= 2.31.1-7.1
  • libmount1 >= 2.31.1-7.1
  • libmount1-32bit >= 2.31.1-7.1
  • libsmartcols-devel >= 2.31.1-7.1
  • libsmartcols1 >= 2.31.1-7.1
  • libuuid-devel >= 2.31.1-7.1
  • libuuid-devel-static >= 2.31.1-7.1
  • libuuid1 >= 2.31.1-7.1
  • libuuid1-32bit >= 2.31.1-7.1
  • util-linux >= 2.31.1-7.1
  • util-linux-lang >= 2.31.1-7.1
  • util-linux-systemd >= 2.31.1-7.1
SUSE Linux Enterprise Module for Server Applications 15 SP1
  • uuidd >= 2.33.1-2.14
SUSE Linux Enterprise Module for Server Applications 15 SP2
  • uuidd >= 2.33.1-4.5.1
SUSE Linux Enterprise Module for Server Applications 15 SP3
  • uuidd >= 2.36.2-2.1
SUSE Linux Enterprise Module for Server Applications 15
  • uuidd >= 2.31.1-7.1
SUSE Linux Enterprise Server 12 SP4
  • libblkid1 >= 2.29.2-7.14
  • libblkid1-32bit >= 2.29.2-7.14
  • libfdisk1 >= 2.29.2-7.14
  • libmount1 >= 2.29.2-7.14
  • libmount1-32bit >= 2.29.2-7.14
  • libsmartcols1 >= 2.29.2-7.14
  • libuuid1 >= 2.29.2-7.14
  • libuuid1-32bit >= 2.29.2-7.14
  • python-libmount >= 2.29.2-7.7
  • util-linux >= 2.29.2-7.14
  • util-linux-lang >= 2.29.2-7.14
  • util-linux-systemd >= 2.29.2-7.7
  • uuidd >= 2.29.2-7.7
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libblkid-devel >= 2.29.2-7.14
  • libmount-devel >= 2.29.2-7.14
  • libsmartcols-devel >= 2.29.2-7.14
  • libuuid-devel >= 2.29.2-7.14
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libblkid-devel >= 2.33.2-2.13
  • libmount-devel >= 2.33.2-2.13
  • libsmartcols-devel >= 2.33.2-2.13
  • libuuid-devel >= 2.33.2-2.13
SUSE Linux Enterprise Workstation Extension 12 SP3
  • libuuid-devel >= 2.29.2-2.3
SUSE Linux Enterprise Workstation Extension 12 SP4
  • libuuid-devel >= 2.29.2-7.14
SUSE Linux Enterprise Workstation Extension 12 SP5
  • libuuid-devel >= 2.33.2-2.13
openSUSE Leap 15.0
  • libblkid1 >= 2.31.1-lp150.6.1
  • libblkid1-32bit >= 2.31.1-lp150.6.1
  • libfdisk1 >= 2.31.1-lp150.6.1
  • libmount1 >= 2.31.1-lp150.6.1
  • libsmartcols1 >= 2.31.1-lp150.6.1
  • libuuid1 >= 2.31.1-lp150.6.1
  • libuuid1-32bit >= 2.31.1-lp150.6.1
  • util-linux >= 2.31.1-lp150.6.1
  • util-linux-lang >= 2.31.1-lp150.6.1
  • util-linux-systemd >= 2.31.1-lp150.6.1
Patchnames:
openSUSE Leap 15.0 GA libblkid1-2.31.1-lp150.6.1
openSUSE Tumbleweed
  • libblkid-devel >= 2.28.2-2.1
  • libblkid-devel-32bit >= 2.28.2-2.1
  • libblkid-devel-static >= 2.28.2-2.1
  • libblkid1 >= 2.28.2-2.1
  • libblkid1-32bit >= 2.28.2-2.1
  • libfdisk-devel >= 2.28.2-2.1
  • libfdisk-devel-static >= 2.28.2-2.1
  • libfdisk1 >= 2.28.2-2.1
  • libmount-devel >= 2.28.2-2.1
  • libmount-devel-32bit >= 2.28.2-2.1
  • libmount-devel-static >= 2.28.2-2.1
  • libmount1 >= 2.28.2-2.1
  • libmount1-32bit >= 2.28.2-2.1
  • libsmartcols-devel >= 2.28.2-2.1
  • libsmartcols-devel-static >= 2.28.2-2.1
  • libsmartcols1 >= 2.28.2-2.1
  • libuuid-devel >= 2.28.2-2.1
  • libuuid-devel-32bit >= 2.28.2-2.1
  • libuuid-devel-static >= 2.28.2-2.1
  • libuuid1 >= 2.28.2-2.1
  • libuuid1-32bit >= 2.28.2-2.1
  • python-libmount >= 2.28.2-2.1
  • util-linux >= 2.28.2-2.1
  • util-linux-lang >= 2.28.2-2.1
  • util-linux-systemd >= 2.28.2-2.1
  • uuidd >= 2.28.2-2.1
Patchnames:
openSUSE Tumbleweed GA libblkid-devel-2.28.2-2.1


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 util-linux Already fixed
SLES-LTSS-SAP util-linux Already fixed
SUSE Linux Enterprise Desktop 11 SP4 util-linux Affected
SUSE Linux Enterprise Desktop 12 util-linux Affected
SUSE Linux Enterprise Desktop 12 SP1 util-linux Affected
SUSE Linux Enterprise High Performance Computing 12 SP5 util-linux Already fixed
SUSE Linux Enterprise High Performance Computing 15 LTSS util-linux Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS util-linux Already fixed
SUSE Linux Enterprise Micro 5.0 util-linux Already fixed
SUSE Linux Enterprise Micro 5.1 util-linux Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP3 util-linux Already fixed
SUSE Linux Enterprise Server 11 SP1 util-linux Analysis
SUSE Linux Enterprise Server 11 SP3 util-linux Affected
SUSE Linux Enterprise Server 11 SP4 util-linux Affected
SUSE Linux Enterprise Server 12 util-linux Affected
SUSE Linux Enterprise Server 12 SP1 util-linux Affected
SUSE Linux Enterprise Server 12 SP3 ESPOS util-linux Already fixed
SUSE Linux Enterprise Server 12 SP3 LTSS util-linux Already fixed
SUSE Linux Enterprise Server 12 SP4 LTSS util-linux Analysis
SUSE Linux Enterprise Server 12 SP5 util-linux Already fixed
SUSE Linux Enterprise Server 15 ESPOS util-linux Already fixed
SUSE Linux Enterprise Server 15 LTSS util-linux Already fixed
SUSE Linux Enterprise Server BCL 12 SP2 util-linux Already fixed
SUSE Linux Enterprise Server BCL 12 SP3 util-linux Already fixed
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 util-linux Analysis
SUSE Linux Enterprise Server for SAP Applications 12 SP3 util-linux Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 util-linux Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 util-linux Already fixed
SUSE Linux Enterprise Software Development Kit 11 SP4 util-linux Affected
SUSE Linux Enterprise Software Development Kit 12 util-linux Affected
SUSE Linux Enterprise Software Development Kit 12 SP1 util-linux Affected
SUSE Linux Enterprise Workstation Extension 12 util-linux Affected
SUSE Linux Enterprise Workstation Extension 12 SP1 util-linux Affected
SUSE Linux Enterprise Workstation Extension 12 SP5 util-linux Already fixed
SUSE OpenStack Cloud 8 util-linux Already fixed
SUSE OpenStack Cloud Crowbar 8 util-linux Already fixed
SUSE Studio Onsite 1.3 util-linux Affected